          Return the axis transform from an IMAGECrate.

get_axis_transform(crate, category)

Argument
Description
crate
The image crate.
category
One of: "WORLD", "PHYSICAL", or "LOGICAL" (case insensitive).

The get_axis_transform command extracts the 'default' axis transform of the given category from the input crate.

>>> cr = read_file("image.fits")
>>> trans = get_axis_transform(cr, "WORLD")
>>> a = [[4096.5, 4096.5], [4823.2, 3843.87]]
>>> b = trans.apply(a)

We extract the WCS transfrom from the image - this translates SKY coordinates to equatorial - and use it to convert two positions: (4096.5,4096.5) and (4823.2,3843.87). The result for this dataset looks like:

>>> print(b) [[ 116.06831306 37.90866459] [ 115.94249553 37.87407155]]

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013